Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.model
Interface UserPageState

All Superinterfaces:
  PortalResource, PortalScopedObject

Deprecated. com.bea.portal is only useful in the compatibility domain. For the new portal framework please use the classes under the com.bea.netuix package

public interface UserPageState
extends PortalResource

Interface `UserPageState` represents the current state of a portal page with respect to a specific user session. All the data required to personalize the associated portal page should be available through this interface.

Method Summary
`LayoutIdentifier` | `getLayoutIdentifier()` Deprecated. Method `getLayoutIdentifier` retrieves an identifier for the layout specified to be used to render this portal page.
`UserPageStateMetadata` | `getMetadata()` Deprecated. Method `getMetadata` retrieves the metadata object associated with this user page state.
`PageIdentifier` | `getPageIdentifier()` Deprecated. Method `getPageIdentifier` retrieves the identifier of the portal page that this object is the state of.
`List` | `getPortletsForPlaceholder(String placeholderId)` Deprecated. Method `getPortletsForPlaceholder` retrieves the list of all `PortletIdentifier` objects that are associated with visible portlets situated within the supplied placeholder.
`UserPortletState` | `getUserPortletState(PortletIdentifier portletId)` Deprecated. Method `getUserPortletState` retrieves an object representing the state of the specified portlet personalized for the associated user.
`HashMap` | `getUserPortletStates()` Deprecated. Method `getAllUserPortletState` retrieves the list of all `UserPortletState` objects within this `UserPageState` NOTE: the definition of `UserPortalState` requires that only `USerPortletState` objects associated with visible portlets on the current page be maintained in the `UserPortalState`.

Methods inherited from interface com.bea.portal.model.PortalResource
`getResourceIdentifier`

Methods inherited from interface com.bea.portal.model.PortalScopedObject
`getPortalIdentifier`

Method Detail

### getPageIdentifier

    public PageIdentifier getPageIdentifier()

  Deprecated.
  Method `getPageIdentifier` retrieves the identifier of the portal page that this object is the state of.

  Returns:
    A value of type `PageIdentifier` used to specify the portal page that this object is the state of.

### getMetadata

    public UserPageStateMetadata getMetadata()

  Deprecated.
  Method `getMetadata` retrieves the metadata object associated with this user page state.

  Returns:
    A value of type `UserPageStateMetadata` used to specify the information such as the display name and index of the page.

### getLayoutIdentifier

    public LayoutIdentifier getLayoutIdentifier()

  Deprecated.
  Method `getLayoutIdentifier` retrieves an identifier for the layout specified to be used to render this portal page. This identifier simply contains a String which maps to a subdirectory under the defined layout directory. All the extra resources required to render the layout template should be loaded from this directory. This data is associated to the user at user scope.

  Returns:
    A value of type `LayoutIdentifier` used to specify the layout template to use to render this portal page.

### getUserPortletState

    public UserPortletState getUserPortletState(PortletIdentifier portletId)

  Deprecated.
  Method `getUserPortletState` retrieves an object representing the state of the specified portlet personalized for the associated user.

  NOTE: the definition of `UserPortalState` requires that only `UserPortletState` objects associated with visible portlets on the current page be maintained in the `PortalState`.

  Returns:
    A value of type `UserPortletState` used to specify the state of the specified portlet for the associated user.

### getUserPortletStates

    public HashMap getUserPortletStates()

  Deprecated.
  Method `getAllUserPortletState` retrieves the list of all `UserPortletState` objects within this `UserPageState`

  NOTE: the definition of `UserPortalState` requires that only `USerPortletState` objects associated with visible portlets on the current page be maintained in the `UserPortalState`.

  Returns:
    A value of type `UserPortletState` used to specify the state of the specified portlet for the associated user.

### getPortletsForPlaceholder

    public List getPortletsForPlaceholder(String placeholderId)

  Deprecated.
  Method `getPortletsForPlaceholder` retrieves the list of all `PortletIdentifier` objects that are associated with visible portlets situated within the supplied placeholder.

  Returns:
    A value of type `List` containing the portlet states associated with visible portlets in the supplied placeholder.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved